class PTimeParseException(Exception):
    ...

class TokenUnhandledException(PTimeParseException):
    ...

class MultipleSpecificationException(PTimeParseException):
    ...

class OutOfRangeSpecificationException(PTimeParseException):
    ...
